#!/bin/bash

# This is a simple bash shell script.  
# If you use csh or something other than bash on your Linux system, the script will need a little editing.

# You can pass arguments and then access them as $1 etc.
# There are other ways to do that and lots of on-line tutorials etc such as:
# https://linuxconfig.org/bash-scripting-tutorial

# You can put run_abaqus.sh in your home bin folder and make it executable; i.e. chmod +x run_abaqus.sh

# To test it, run Abaqus-Cube.inp using one processor from the command line using:
# ~/bin/run_abaqus.sh Abaqus-Cube 1

# Next start franc3d and change the abaqus executable in preferences;
# set the abaqus executable to be run_abaqus.sh
# and then quit and restart franc3d.

# Now when you run a static analysis, it executes the script which then calls abaqus.
# You might have to play with it to make it work with your system with the right arguements.



# arguements can be accessed as $1 $2 

echo $1 
echo $2

# command to run

if [ $1 = "python" ]; then
    /usr/local/abaqus/6.14-2/code/bin/abq6142 python writeDtpFile.py
else
    /usr/local/abaqus/6.14-2/code/bin/abq6142 $1 $2 -interactive -analysis 
fi
